NX Open C++ Reference Guide
|
Represents a Flat Solid feature
To create or edit an instance of this class, use Features::SheetMetal::FlatPatternBuilder
Created in NX5.0.1.
More...
Classes | |
struct | ObjectDataCsys |
Structure used to return data about objects in the flat pattern. More... | |
struct | ObjectDataEdge |
Structure used to return data about objects in the flat pattern. More... | |
struct | ObjectDataFace |
Structure used to return data about objects in the flat pattern. More... | |
struct | ObjectDataGeneral |
Structure used to return data about objects in the flat pattern. More... | |
Public Member Functions | |
void | GetAddedBottomGeometry (std::vector< NXOpen::Features::FlatPattern::ObjectDataGeneral > &objects) |
Returns an array of all the added bottom geometry assocated with the flat pattern. | |
void | GetAddedTopGeometry (std::vector< NXOpen::Features::FlatPattern::ObjectDataGeneral > &objects) |
Returns an array of all the added top geometry assocated with the flat pattern. | |
std::vector< NXOpen::NXObject * > | GetAnnotations () |
Returns an array of all the flat pattern annotations. | |
void | GetBendDownCenterLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > &objects) |
Returns an array describing the bend-down center lines and associated objects. | |
void | GetBendTangentLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > &objects) |
Returns an array describing the bend tangent lines and associated objects. | |
void | GetBendUpCenterLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > &objects) |
Returns an array describing the bend-up center lines and associated objects. | |
std::vector< NXOpen::NXObject * > | GetCurves () |
Returns an array of all the flat pattern curves. | |
void | GetExteriorCurves (std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > &objects) |
Returns an array describing the exterior curves and associated objects. | |
void | GetInnerMoldLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > &objects) |
Returns an array describing the inner mold lines and associated objects. | |
void | GetInteriorCutoutCurves (std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > &objects) |
Returns an array describing the interior cutout curves and associated objects. | |
void | GetInteriorFeatureCurves (std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > &objects) |
Returns an array describing the interior feature curves and associated objects. | |
void | GetJoggleLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > &objects) |
Returns an array describing the outer mold lines and associated objects. | |
void | GetLighteningHoleCenters (std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > &objects) |
Returns an array describing the lightening hole centers and associated objects. | |
void | GetOuterMoldLines (std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > &objects) |
Returns an array describing the outer mold lines and associated objects. | |
void | GetToolMarkers (std::vector< NXOpen::Features::FlatPattern::ObjectDataCsys > &objects) |
Returns an array of all the tool marker points assocated with the flat pattern. | |
void | MakeFlatSolidExternal () |
Makes the flat pattern's parent flat solid feature external. | |
void | MakeFlatSolidInternal () |
Makes the flat pattern's parent flat solid feature internal. | |
![]() | |
int | AlgorithmVersion () |
Returns the algorithm version of the feature | |
void | ChangeBooleanType () |
Change Boolean Type Created in NX9.0.0. | |
NXOpen::Features::IContainerFeature * | ContainerFeature () |
Returns the container feature for this feature. | |
void | DeleteClueAlerts () |
Delete all clue alerts from the features Created in NX8.0.1. | |
void | DeleteHintAlerts () |
Delete all clue alerts from the features Created in NX8.0.1. | |
void | DeleteInformationalAlerts () |
Delete all informational alerts from the features Created in NX5.0.0. | |
NXString | FeatureType () |
Returns the feature type Created in NX3.0.0. | |
std::vector < NXOpen::Features::Feature * > | GetChildren () |
Returns the immediate child features. | |
std::vector< NXOpen::NXObject * > | GetEntities () |
Returns the entities created by the feature. | |
std::vector< NXOpen::Expression * > | GetExpressions () |
Returns the expressions created by the feature. | |
std::vector< NXString > | GetFeatureClueHintMessages () |
Returns both clue and hint messages of the feature. | |
std::vector< NXString > | GetFeatureClueMessages () |
Returns the feature clue messages. | |
std::vector< NXString > | GetFeatureErrorMessages () |
Returns the feature error messages. | |
std::vector< NXString > | GetFeatureHintMessages () |
Returns the feature hint messages. | |
std::vector< NXString > | GetFeatureInformationalMessages () |
Returns the feature informational messages. | |
NXString | GetFeatureName () |
Returns the displayed name of the feature. | |
std::vector< NXString > | GetFeatureWarningMessages () |
Returns the feature warning messages. | |
std::vector < NXOpen::Features::Feature * > | GetParents () |
Returns the immediate parent features. | |
std::vector< NXOpen::Section * > | GetSections () |
Queries a feature for list of its sections. | |
void | HideBody () |
Hide the body created by the feature Created in NX3.0.0. | |
void | HideParents () |
Hide the body created by the parent feature Created in NX3.0.0. | |
void | Highlight () |
Highlight the body created by the feature Created in NX3.0.0. | |
bool | IsContainedFeature () |
Returns true if the feature is a contained feature. | |
bool | IsInternal () |
Returns true if the feature is internal. | |
NXOpen::Point3d | Location () |
Returns the location of the feature Created in NX3.0.0. | |
void | LogDiagnostic (int errorCode, const NXString &message, NXOpen::Features::Feature::DiagnosticType diagnosticType) |
Log a diagnostic alert for this feature Created in NX8.0.0. | |
void | LogDiagnostic (int errorCode, const char *message, NXOpen::Features::Feature::DiagnosticType diagnosticType) |
Log a diagnostic alert for this feature Created in NX8.0.0. | |
void | MakeCurrentFeature () |
Make current feature Created in NX3.0.0. | |
void | MakeSketchExternal () |
Make the parent sketch external for reuse by other features. | |
void | MakeSketchInternal () |
Make the parent sketch internal if referenced only by this feature. | |
void | RemoveForEdit (bool dependent) |
Remove all the feature faces before a NoHistory mode edit. | |
void | RemoveParameters () |
Remove Local feature parameters in history free mode. | |
void | SetGroupActive (bool active) |
Set a feature group as active group. | |
void | ShowBody (bool moveCurves) |
Show the body created by the feature Created in NX3.0.0. | |
void | ShowDimensions () |
Show all feature dimensions of a feature. | |
void | ShowParents (bool moveCurves) |
Show the body created by the parent feature Created in NX3.0.0. | |
void | Suppress () |
Suppress the feature Created in NX3.0.0. | |
bool | Suppressed () |
Returns the suppression status of the feature Created in NX3.0.0. | |
int | Timestamp () |
Returns the timestamp of the feature Created in NX3.0.0. | |
void | Unhighlight () |
Unhighlight the body created by the feature Created in NX3.0.0. | |
void | Unsuppress () |
Unsuppress the feature Created in NX3.0.0. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Additional Inherited Members | |
![]() | |
enum | BooleanType { BooleanTypeCreate, BooleanTypeUnite, BooleanTypeSubtract, BooleanTypeIntersect, BooleanTypeEmbossNormalSide = 8, BooleanTypeEmbossOppositeNormalSide } |
Boolean operation type. More... | |
enum | DiagnosticType { DiagnosticTypeInformation = 1, DiagnosticTypeWarning } |
Diagnostic type. More... | |
Represents a Flat Solid feature
To create or edit an instance of this class, use Features::SheetMetal::FlatPatternBuilder
Created in NX5.0.1.
void NXOpen::Features::FlatPattern::GetAddedBottomGeometry | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataGeneral > & | objects | ) |
Returns an array of all the added bottom geometry assocated with the flat pattern.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of tool marker object data |
void NXOpen::Features::FlatPattern::GetAddedTopGeometry | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataGeneral > & | objects | ) |
Returns an array of all the added top geometry assocated with the flat pattern.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of tool marker object data |
std::vector<NXOpen::NXObject *> NXOpen::Features::FlatPattern::GetAnnotations | ( | ) |
Returns an array of all the flat pattern annotations.
The objects are not sorted in any order. @return The flat pattern annotations
Created in NX7.5.5.
License requirements : nx_sheet_metal ("NX Sheet Metal")
void NXOpen::Features::FlatPattern::GetBendDownCenterLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > & | objects | ) |
Returns an array describing the bend-down center lines and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetBendTangentLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > & | objects | ) |
Returns an array describing the bend tangent lines and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetBendUpCenterLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > & | objects | ) |
Returns an array describing the bend-up center lines and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
std::vector<NXOpen::NXObject *> NXOpen::Features::FlatPattern::GetCurves | ( | ) |
Returns an array of all the flat pattern curves.
The objects are not sorted in any order. @return The flat pattern curves
Created in NX7.5.5.
License requirements : nx_sheet_metal ("NX Sheet Metal")
void NXOpen::Features::FlatPattern::GetExteriorCurves | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > & | objects | ) |
Returns an array describing the exterior curves and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetInnerMoldLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > & | objects | ) |
Returns an array describing the inner mold lines and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetInteriorCutoutCurves | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > & | objects | ) |
Returns an array describing the interior cutout curves and associated objects.
Note that all interior cutout curves are returned. Loops for separate interiour cutouts are not distinguished.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetInteriorFeatureCurves | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > & | objects | ) |
Returns an array describing the interior feature curves and associated objects.
Note that all interior cutout curves are returned. Curves for separate interior features are not distinguished.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetJoggleLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataEdge > & | objects | ) |
Returns an array describing the outer mold lines and associated objects.
The flat_pattern_object is the outer mold line on the flat pattern. The flat_solid_object is null. The formed_body_object is a bend face on the formed body.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetLighteningHoleCenters | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > & | objects | ) |
Returns an array describing the lightening hole centers and associated objects.
Note that in this case, the formed_body_object entry is null.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetOuterMoldLines | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataFace > & | objects | ) |
Returns an array describing the outer mold lines and associated objects.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of bend-up center line object data |
void NXOpen::Features::FlatPattern::GetToolMarkers | ( | std::vector< NXOpen::Features::FlatPattern::ObjectDataCsys > & | objects | ) |
Returns an array of all the tool marker points assocated with the flat pattern.
Created in NX6.0.3.
License requirements : nx_sheet_metal ("NX Sheet Metal")
objects | Array of tool marker object data |
void NXOpen::Features::FlatPattern::MakeFlatSolidExternal | ( | ) |
Makes the flat pattern's parent flat solid feature external.
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
void NXOpen::Features::FlatPattern::MakeFlatSolidInternal | ( | ) |
Makes the flat pattern's parent flat solid feature internal.
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")